#ifndef MMXNOW_PRIVATE_H
#define MMXNOW_PRIVATE_H

#include "mmxnow.h"

/* private header file - never use outside of this directory */

void mmxnow_create_i386(mmxnow_context_t* ctx, int method);
void mmxnow_create_generic(mmxnow_context_t* ctx, int method);

/* debug info */
char* mmxnow_flags_text(unsigned int flags); /* pointer to static buffer */
const char* mmxnow_method_name(int method);

#endif /* MMXNOW_PRIVATE_H */
